Skip to main content
Server path: /adobe-experience-manager-folders | Type: Application | PCID required: Yes

Tools

ToolDescription
adobe_experience_manager_folders_create_foldersCreates new folders at the specified paths.
adobe_experience_manager_folders_delete_by_pathDelete folder(s) by path
adobe_experience_manager_folders_delete_folderDelete folder by its ID
adobe_experience_manager_folders_get_by_pathList folders at the specified path
adobe_experience_manager_folders_get_folder_by_idList folders under the specified folder ID
adobe_experience_manager_folders_get_folder_job_resultGet the results of a completed job
adobe_experience_manager_folders_get_folder_job_statusGet the status of an async job

adobe_experience_manager_folders_create_folders

Creates new folders at the specified paths. Parameters:
ParameterTypeRequiredDefaultDescription
bodyobject[]NoRequest body

adobe_experience_manager_folders_delete_by_path

Delete folder(s) by path Parameters:
ParameterTypeRequiredDefaultDescription
forcebooleanNoIf true, delete the directory even if it is referenced
pathsstring[]YesThe path of the folder to be deleted
recursivebooleanNoIf true, delete the directory and all descendants

adobe_experience_manager_folders_delete_folder

Delete folder by its ID Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringYesID of the folder to access
recursivebooleanNoIf true, delete the directory and all descendants
forcebooleanNoIf true, delete the directory even if it is referenced

adobe_experience_manager_folders_get_by_path

List folders at the specified path Parameters:
ParameterTypeRequiredDefaultDescription
If-None-MatchstringNoThe If-None-Match header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is ”*”, or having a selected representation with an entity tag that does not match any of those listed in the field value. For more details, please head over to RFC9110.
pathstringNoPath of the folder from which to list the children.
limitintegerNoFor a paginated request, this parameter defines the maximum number of items to retrieve.
cursorstringNoWhen the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

adobe_experience_manager_folders_get_folder_by_id

List folders under the specified folder ID Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringYesID of the folder to access
If-None-MatchstringNoThe If-None-Match header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is ”*”, or having a selected representation with an entity tag that does not match any of those listed in the field value. For more details, please head over to RFC9110.
limitintegerNoFor a paginated request, this parameter defines the maximum number of items to retrieve.
cursorstringNoWhen the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

adobe_experience_manager_folders_get_folder_job_result

Get the results of a completed job Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesID of a backend asynchronous job

adobe_experience_manager_folders_get_folder_job_status

Get the status of an async job Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesID of a backend asynchronous job